#ifndef _ADC_DMA_H
#define _ADC_DMA_H

#ifdef __cplusplus
extern "C" {
#endif

#include "stm32f4xx_hal.h"

// public functions
void adc_init(void);
void adc_start(void);
void adc_set_period(uint8_t period_ms);
void adc_stop(void);
// operation functions
uint8_t adc_in_range(unsigned short int address,unsigned short int length);
void adc_process_write_cmd(unsigned short int address,unsigned short int length,unsigned char *data);

#ifdef __cplusplus
}
#endif

#endif
